package hemomancer.cards;

import com.megacrit.cardcrawl.characters.AbstractPlayer;
import com.megacrit.cardcrawl.core.CardCrawlGame;
import com.megacrit.cardcrawl.localization.CardStrings;
import com.megacrit.cardcrawl.monsters.AbstractMonster;
import hemomancer.HemomancerMod;
import hemomancer.characters.Hemomancer;
import hemomancer.orbs.BloodMistOrb;


public class HemomancerBloodPump extends AbstractDynamicCard {
    public static final String ID = HemomancerMod.makeID("BloodPump");
    private static final CardStrings cardStrings = CardCrawlGame.languagePack.getCardStrings(ID);


    private int pumpValue = 1;

    public HemomancerBloodPump() {
        super(
                ID,
                HemomancerMod.makeCardPath("blood_pump.png"),
                1,
                CardType.SKILL,
                Hemomancer.Enums.COLOR_GRAY,
                CardRarity.BASIC,
                CardTarget.SELF
        );
    }

    @Override
    public void upgrade() {
        if (!this.upgraded) {
            this.upgradeName();
            this.rawDescription = cardStrings.UPGRADE_DESCRIPTION;
            pumpValue = 2;
        }
    }

    @Override
    public void use(AbstractPlayer player, AbstractMonster monster) {
        BloodMistOrb orb = BloodMistOrb.getBloodMistOrb(player);
        orb.pump(pumpValue);
    }
}
